Summary:  Portslave for radius servers.
Name: portslave
Version: 1.2.0pre6
Release: 1
Copyright: GPL/BSD
Source0: ftp://ftp.psychosis.com/linux/portslave/portslave-1.2.0pre6.tar.gz
Source1: server.cfg
Url: http://portslave.linuxrouter.org/
Patch0: portslave.patch
Group: System Environment/Daemons
Obsoletes: portslave-cistron
Buildroot: /var/tmp/portslave-root
ExclusiveArch: i386 
Requires: radiusd-cistron

%description
Run your linux box as a terminal server.
                                                                          
%prep
%setup -q -n portslave-1.2.0pre6
%patch -p1 -b .orig

%build
cd src
make RPM_OPTS="$RPM_OPT_FLAGS"
cd ../libpsr
make RPM_OPTS="$RPM_OPT_FLAGS" 
cd ../ppp-2.3.7-radius/pppd 
make RPM_OPTS="$RPM_OPT_FLAGS" 
cd ../../rlogin-8.10/ 
make  RPM_OPTS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin/port-slave,lib}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 755 -s src/portslave $RPM_BUILD_ROOT/usr/bin
install -m 755 -s src/radinit	$RPM_BUILD_ROOT/usr/bin 
install -m 755 -s src/ctlportslave $RPM_BUILD_ROOT/usr/bin 
install -m 644 libpsr/libpsr.so $RPM_BUILD_ROOT/usr/lib

install -m 755 ppp-2.3.7-radius/pppd/pppd-radius $RPM_BUILD_ROOT/usr/bin/port-slave/pppd
install -m 755 rlogin-8.10/rlogin-radius $RPM_BUILD_ROOT/usr/bin/port-slave/rlogin
install -m 755 src/radinit.sh  $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 644 $RPM_SOURCE_DIR/server.cfg 	$RPM_BUILD_ROOT/etc

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ChangeLog CopyRight MAINTAINERS README README.NET README.PPPD 
%config /etc/server.cfg
/etc/rc.d/init.d/radinit.sh 
/usr/bin/portslave 
/usr/bin/radinit 
/usr/bin/ctlportslave 
/usr/bin/port-slave/*
/usr/lib/*


%changelog
* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.0pre6

* Wed Sep 24 1998 Michael Maher <mike@redhat.com>
- built package
